package helpers;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;

public class Messager {
    
    
    // INFO
    public static FacesMessage getInfo(String message, String detail) {
        return new FacesMessage(FacesMessage.SEVERITY_INFO, message, detail);
    }

    public static FacesMessage getInfo(String message) {
        return getInfo(message, null);
    }
    
    public static void addInfo(String contextId, String message, String detail) {  
        FacesContext.getCurrentInstance().addMessage(contextId, getInfo(message, detail));  
    }
    
    public static void addInfo(String message) {
        addInfo(null, message, null);
    }
    
    public static void addInfo(String contextId, String message) {
        addInfo(contextId, message, null);
    }
    
    
    // WARN
    public static FacesMessage getWarn(String message, String detail) {
        return new FacesMessage(FacesMessage.SEVERITY_WARN, message, detail);
    }

    public static FacesMessage getWarn(String message) {
        return getWarn(message, null);
    }
  
    public static  void addWarn(String contextId, String message, String detail) {  
        FacesContext.getCurrentInstance().addMessage(contextId, getWarn(message, detail));  
    }
    
    public static void addWarn(String message) {
        addWarn(null, message, null);
    }
    
    public static void addWarn(String contextId, String message) {
        addWarn(contextId, message, null);
    }
    
    
    // ERROR
    public static FacesMessage getError(String message, String detail) {
        return new FacesMessage(FacesMessage.SEVERITY_ERROR, message, detail);
    }

    public static FacesMessage getError(String message) {
        return getError(message, null);
    }
  
    public static  void addError(String contextId, String message, String detail) {  
        FacesContext.getCurrentInstance().addMessage(contextId, getError(message, detail));  
    }
    
    public static void addError(String message) {
        addError(null, message, null);
    }
    
    public static void addError(String contextId, String message) {
        addError(contextId, message, null);
    }
    
    
    // FATAL
    public static FacesMessage getFatal(String message, String detail) {
        return new FacesMessage(FacesMessage.SEVERITY_FATAL, message, detail);
    }

    public static FacesMessage getFatal(String message) {
        return getFatal(message, null);
    }
  
    public static  void addFatal(String contextId, String message, String detail) {  
        FacesContext.getCurrentInstance().addMessage(contextId, getFatal(message, detail));  
    }
    
    public static void addFatal(String contextId, String message) {
        addFatal(contextId, message, null);
    }
    
    public static void addFatal(String message) {
        addFatal(null, message, null);
    }
}  