package ORM.enums;

import helpers.Texter;

/**
 * Order statuses
 * @author Jakub Macoun
 */
public enum OrderStatus {
    RECEIVED("texts", "orderStatusReceived"),
    FINISHED("texts", "orderStatusFinished");

    private String textGroup;
    private String textName;
    
    private OrderStatus(String textGroup, String textName) {
        this.textGroup = textGroup;
        this.textName = textName;
    }

    /**
     * @return the name
     */
    public String getName() {
        return Texter.get(textGroup, textName);
    }
}
