package helpers;

import javax.faces.context.FacesContext;

/**
 *
 * @author Jakub Macoun
 */
public class BeansManager {
    
    public static Object getSessionScoped(String name) {
        return FacesContext.getCurrentInstance().getExternalContext().getSessionMap().get(name);
    }
    
    public static Object getRequestScoped(String name) {
        return FacesContext.getCurrentInstance().getExternalContext().getRequestMap().get(name);
    }
    
    public static Object getApplicationScoped(String name) {
        return FacesContext.getCurrentInstance().getExternalContext().getApplicationMap().get(name);
    }
}
