package helpers;

import controllers.products.ProductSearchBean;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.faces.context.FacesContext;

/**
 * Class with static navigation methods
 * @author Jakub Macoun
 */
public class Navigator {
    
    /**
     * Redirects user
     * @param path Where to redirect
     */
    public static void redirect(String path) {
        try {
            FacesContext.getCurrentInstance().getExternalContext().redirect(FacesContext.getCurrentInstance().getExternalContext().getRequestContextPath() + path);
        } catch (IOException ex) {
            Logger.getLogger(ProductSearchBean.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
